Package org.jsoup.select

# Class QueryParser

java.lang.Object
org.jsoup.select.QueryParser

public class QueryParser extends Object
Parses a CSS selector into an Evaluator tree.

## Method Summary

Modifier and Type
Method
Description
`static Evaluator`
`parse(String query)`
Parse a CSS query into an Evaluator.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### parse

public static Evaluator parse(String query)
Parse a CSS query into an Evaluator.

Parameters:
  `query` - CSS query
Returns:
  Evaluator
See Also:
  - `selector query syntax`

### toString

public String toString()

Overrides:
  `toString` in class `Object`